#!/bin/bash

set -e

docker build \
    --build-arg B_TARGET_ARCH=arm64 \
    --build-arg B_TARGET_TRIPLE=aarch64-linux-musl \
    --build-arg B_CC=aarch64-linux-musl-gcc \
    --build-arg B_CXX=aarch64-linux-musl-g++ \
    -t cpp-httplib-builder:arm64 \
    .

docker build \
    --build-arg B_TARGET_ARCH=amd64 \
    --build-arg B_TARGET_TRIPLE=x86_64-linux-musl \
    --build-arg B_CC=x86_64-alpine-linux-musl-gcc \
    --build-arg B_CXX=x86_64-alpine-linux-musl-g++ \
    -t cpp-httplib-builder:amd64 \
    .

docker tag cpp-httplib-builder:arm64 gitea.jde.nz/public/cpp-httplib-builder:arm64
docker tag cpp-httplib-builder:amd64 gitea.jde.nz/public/cpp-httplib-builder:amd64
docker tag cpp-httplib-builder:amd64 gitea.jde.nz/public/cpp-httplib-builder:latest

docker push gitea.jde.nz/public/cpp-httplib-builder:arm64
docker push gitea.jde.nz/public/cpp-httplib-builder:amd64
docker push gitea.jde.nz/public/cpp-httplib-builder:latest
